Kubernetes Set Image
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Kubernetes Set Image action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Set image",
"type": "KUBERNETES_SET_IMAGE",
"trigger_time": "ON_EVERY_EXECUTION",
"targets": [
{
"zone": "europe-west1-c",
"project_id": "tokyo-house-138923",
"identifier": "my_target_id",
"name": "my-target",
"integration": "5ddb7c180fb38be67bd78a88a",
"type": "GKE",
"scope": "ACTION",
"tags": [
"olive",
"orange",
"rabsperry"
],
"cluster": "cluster-1"
}
],
"deployment": "nginx-deployment",
"namespace": "default",
"image_name": "nginx",
"image_tag": "1.7.8",
"record_arg": "NOT_SET",
"container": "nginx"
}'STATUS200 OK